Name:           python-zombie-imp
Version:        0.0.2
Release:        %mkrel 1
Summary:        A copy of the `imp` module that was removed in Python 3.12
Group:          Development/Python
License:        Python-2.0.1
URL:            https://github.com/encukou/zombie-imp
Source:         %{pypi_source zombie-imp}

# Make the tests pass with Python 3.13.0a1+, 3.12.1+, 3.11.6+
Patch1:         https://github.com/encukou/zombie-imp/commit/d45295faf4.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-testsuite

%description
A copy of the imp module that was removed in Python 3.12.
This is a compat package to ease transition to Python 3.12.
It shouldn't be used and packages using `imp` module
should use `importlib.metadata` instead.

%package -n python3-zombie-imp
Summary:        A copy of the `imp` module that was removed in Python 3.12
Group:          Development/Python
# This package is deprecated, no new packages in Fedora can depend on it
Provides:       deprecated()

%description -n python3-zombie-imp
A copy of the imp module that was removed in Python 3.12.
This is a compat package to ease transition to Python 3.12.
It shouldn't be used and packages using `imp` module
should use `importlib.metadata` instead.


%prep
%autosetup -p1 -n zombie-imp-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zombie_imp imp

%check
%tox

%files -n python3-zombie-imp -f %{pyproject_files}
%doc README.*


%changelog
* Thu Dec 28 2023 daviddavid <daviddavid> 0.0.2-1.mga10
+ Revision: 2023077
- initial package python-zombie-imp

